Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 06 Jun 2008 14:14:40 +1000

On Wed, 2008-06-04 at 21:19 -0500, Josh Boyer wrote:
> So if possible, I'd like to eliminate the *index stuff all together
> from the 4xx driver.  The private data structure contains an idx
> parameter, but this can be populated based on probe order or something.
> 
> >From a device tree perspective, index and cell-index are both
> incorrect.  The IIC macros don't share register blocks with anything,
> are enumerated as unique instances per macro in the device tree, and
> should be able to be distinguished by "regs" and/or unit address.
> 
> Does anyone disagree with that?

Not sure what you mean, but some of the 4xx drivers need to know
their cell index to whack the right bits in some SDRs etc... for
things like clock control. That's also the only reason they should
use cell-index :-)

Ben.